
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           qzion
Version:        0.4.0
Release:        11%{?dist}
Summary:        A canvas abstraction

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://code.openbossa.org/projects/qzion
Source0:        http://code.openbossa.org/projects/%{name}/repos/mainline/archive/d32223eae1bba7f1b191c334668f3f7dd662f582.tar.gz

Patch0:         qzion-0.4.0-fix_python_install.patch
Patch1:		qzion-0.4.0-fix_char_conversion.patch
#Make configure_file use full path so that qzion.pc can be found correctly.
Patch2:		qzion-0.4.0-fix_configure_paths.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:	qt4-webkit-devel
BuildRequires:  sip-devel
BuildRequires:  PyQt4-devel
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  python-devel

%description
QZion is an canvas abstraction used by and made for QEdje.

%package devel

Summary:   Development files for %{name}
Group:     Development/Libraries
Requires:  cmake
Requires:  pkgconfig
Requires:  %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package python

Summary:  Python bindings for %{name}
Group:    Development/Libraries
Requires: PyQt4
%{?_sip_api:Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}}

%description python
The %{name}-python package contains python bindings for %{name}


%package python-devel
Summary:  Python bindings for %{name}
Group:    Development/Libraries
Requires: sip-devel
Requires: PyQt4-devel
Requires: %{name}-python = %{version}-%{release}

%description python-devel
The %{name}-python-devel package contains the development files for
the python bindings for %{name}

%prep
%setup -q -n %{name}-mainline
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

mkdir -p %{_target_platform}
pushd %{_target_platform} 
%{cmake} \
-DPYTHON_SITE_PACKAGES_DIR=%{python_sitearch} \
..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install/fast -C %{_target_platform} DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}.pc

%files python
%defattr(-,root,root,-)
%{python_sitearch}/%{name}

%files python-devel
%defattr(-,root,root,-)
%{_datadir}/sip/%{name}

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-10
- rebuild (sip)

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.0-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jun 15 2010 john5342 <john5342@fedoraproject.org> - 0.4.0-8
- Fix FTBFS (#600000)

* Sat Jan 09 2010 john5342 <john5342@fedoraproject.org> - 0.4.0-7
- Fix FTBFS (#553715)

* Thu Jan 07 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-6 
- rebuild (sip)

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-5
- -python: Requires: sip-api(%%_sip_api_major) >= %%_sip_api

* Mon Nov 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.4.0-4
- drop extraneous BR: sip-devel

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 John5342 <john5342 at, fedoraproject.org> 0.4.0-2
- Fix char* conversion (#511583)

* Fri Mar 06 2009 John5342 <john5342 at, fedoraproject.org> 0.4.0-1
- Updated to new upstream release (0.4.0)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 John5342 <john5342 at, fedoraproject.org> 0.3.0-2
- Implemented package review suggestions
- Remove BR: eet-devel

* Fri Dec 19 2008 John5342 <john5342 at, fedoraproject.org> 0.3.0-1
- Initial package
